/*
 * Test program written to verify that the linux kernel won't give a 
 * bogus file desriptor for a file that's opened and closed repeatedly.
 * Unfortunately, that isn't the case, so it means there's a bug in my
 * code, ain't that always the way
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#define BSIZE 50

int main (int argc, char *argv[])
{
  int i;
  char buff[BSIZE];
  char *res;
  FILE *inf;
  
  if (argv[0] != NULL) {
    printf ("Opening file: %s\n", argv[1]);
  }
  else {
    printf ("Please specify a data file\n");
    return 1;
  }

  for (i = 0; i < 50; i ++)
    {
      inf = fopen (argv[1], "r");
      if (inf == NULL) {
	printf ("Input file %s failed to open\n", argv[1]);
	return 2;
      }
      
      res = fgets (buff, BSIZE, inf);
      printf ("In iteration %i, got: %s\n", i, buff);
      //sleep (1);
      
      fclose (inf);
    }
  return 0;
}
